
Core - Bug # 36690

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2012-04-28 Assigned To:
Updated: 2012-04-29 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity: medium
Is Regression:
Sprint Focus:
Subject: Add unit tests to new autoloader XCLASS handling
Description

Add three missing tests to the autoloader test case to test the new XCLASS handling of issue #31893. The patch also fixes a minor
error when writing registered xclass files to the autoloader cache file. This error is covered by the third added test.

Related issues:
related to Core - Feature # 31893: Allow XCLASSes to be defined via ext_autol... Resolved 2012-04-16

Associated revisions
Revision 6fbe111d - 2012-04-28 15:05 - Christian Kuhn

[TASK] Add unit tests to new autoloader XCLASS handling

Add missing tests to the autoloader test case to test the new XCLASS
handling of issue #31893. The patch also fixes a minor error when writing
registered XCLASS files to the autoloader cache file. This error is
covered by the third added test.

Change-Id: I394c05a48ee2a2796299e72b17840689432212a2
Resolves: #36690
Related: #31893
Releases: 6.0
Reviewed-on: http://review.typo3.org/10843
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 579b2897 - 2012-04-29 15:06 - Christian Kuhn

[TASK] Add unit tests to new autoloader XCLASS handling

Add missing tests to the autoloader test case to test the new XCLASS
handling of issue #31893. The patch also fixes a minor error when writing
registered XCLASS files to the autoloader cache file. This error is
covered by the third added test.

Change-Id: I394c05a48ee2a2796299e72b17840689432212a2
Resolves: #36690
Related: #31893
Releases: 6.0
Reviewed-on: http://review.typo3.org/10843
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-04-28 14:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10843

#2 - 2012-04-29 02:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6fbe111da00bfe605b7442a47374fff30b54f0d5.
